Guoy

遥看成梦,近看成风

Google Chrome 浏览器Adobe Flash Player因过期而遭到阻止

昨天也就是2015-07-14开始,Chrome 浏览器及其他以Chrome为核心的浏览器打开一些页面,老是提示:Adobe Flash Player因过期而遭到阻止。每次都要点击下“运行一次”不胜其烦。


出现这个提示的原因:近日Flash被曝出3个0day高危漏洞:CVE-2015-5119、CVE-2015-5122、CVE-2015-5123,Adobe紧急发布最新的18.0.0.209版本来修复,浏览器提示我们更新。


解决办法:

直接把Chrome更新到最新版,右上角的三横(自定义及控制)→关于Google Chrome→Chrome会自动检查更新,更新完成后重启即可,但有可能因某些原因,造成无法更新。

直接下载Adobe Flash Player 18.0.209 正式版,Chrome(基于 Pepper 的 Flash Player)

http://fpdownload.macromedia.com/get/flashplayer/pdc/18.0.0.209/install_flash_player.exe、两个链接都可以http://pan.baidu.com/s/1nt47baL

但Chrome安装完新版本后,浏览器会默认新旧版本同时“启用”,需要手动停掉旧版本:地址栏输入chrome://plugins/,点击右上角“详细信息”前面的加号,然后找到Adobe Flash Player项,“停用”掉旧版本,此时停用版本将被“灰”掉

③把pepflashplayer.dll文件放到C:\Users\Guoy\AppData\Local\Google\Chrome\User Data\PepperFlash,如果该文件夹原来没该文件可能会失效

http://pan.baidu.com/s/1bhomE

④改exe程序目标,加上指令“ --allow-outdated-plugins”,注意--前需加空格,这个办法有风险!


参考自:

http://security.pconline.com.cn/670/6701159.html

http://bbs.kafan.cn/thread-1839890-1-1.html

http://www.497.com/gl/19853.html

聚划算